Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
RagTime5SpreadsheetInternal::SpreadsheetCParser Struct Reference

low level: parser of main spreadsheet cluster More...

Inheritance diagram for RagTime5SpreadsheetInternal::SpreadsheetCParser:

## Public Member Functions
| SpreadsheetCParser (RagTime5ClusterManager &parser, int type)
| constructor More...
virtual | ~SpreadsheetCParser ()
| destructor More...
shared_ptr< ClusterSpreadsheet > | getSpreadsheetCluster ()
| return the spreadsheet cluster More...
shared_ptr< RagTime5ClusterManager::Cluster > | getCluster ()
| return the current cluster More...
shared_ptr< Sheet > | getSpreadsheet ()
| return the spreadsheet More...
void | endZone ()
| end of a start zone call More...
bool | parseZone (MWAWInputStreamPtr &input, long fSz, int N, int flag, libmwaw::DebugStream &f)
| parse a zone More...
bool | parseField (RagTime5StructManager::Field const &field, int, libmwaw::DebugStream &f)
| parse a field More...
Public Member Functions inherited from RagTime5ClusterManager::ClusterParser
| ClusterParser (RagTime5ClusterManager &parser, int type, std::string const &zoneName)
| constructor More...
virtual | ~ClusterParser ()
| destructor More...
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone More...
virtual std::string | getZoneName (int n, int m=-1) const
| return the debug name corresponding to a cluster More...
virtual void | startZone ()
| start a new zone More...
virtual int | getNewZoneToParse ()
| returns to new zone to parse. More...
bool | isANameHeader (long N) const
| return true if N correspond to a file/script name More...
bool | readLinkHeader (MWAWInputStreamPtr &input, long fSz, Link &link, long(&values)[4], std::string &message)
| try to read a link header More...
std::string | getClusterName (int id)
| returns "data"+id+"A" ( followed by the cluster type and name if know) More...

## Protected Member Functions
bool | parseDataZone (MWAWInputStreamPtr &input, long fSz, int N, int flag, libmwaw::DebugStream &f)
| parse a data block More...
bool | parseHeaderZone (MWAWInputStreamPtr &input, long fSz, int N, int flag, libmwaw::DebugStream &f)
| parse the header zone More...

## Protected Attributes
shared_ptr< ClusterSpreadsheet > | m_cluster
| the current cluster More...
shared_ptr< Sheet > | m_sheet
| the sheet More...
int | m_what
| a index to know which field is parsed : 0: main, 1: list, 2: fSz69... More...
int | m_linkId
| the link id: 0: unicode, 1: picture link, 2: cluster link unknown, 3: the dimensions link, 4: the cell block links 5: the cell reference position link 6: the value tree link 7: not used 8: the plc link 9: the list of values More...
int | m_blockType
| the actual block id: 1: referenced block, 2: union cell More...
int | m_borderType
| the actual border type id: 1: vertical border, 2: horizontal border More...
std::string | m_fieldName
| the actual field name More...
std::vector< int > | m_defaultPLCValues
| the default plc values More...
std::map< MWAWVec2i, int > | m_PLCNumRowByPlanesMap
| the list of row plc by planes More...

## Private Member Functions
| SpreadsheetCParser (SpreadsheetCParser const &orig)
| copy constructor (not implemented) More...
SpreadsheetCParser & | operator= (SpreadsheetCParser const &orig)
| copy operator (not implemented) More...

## Additional Inherited Members
Public Attributes inherited from RagTime5ClusterManager::ClusterParser
RagTime5ClusterManager & | m_parser
| the main parser More...
int | m_type
| the cluster type More...
bool | m_hiLoEndian
| zone endian More...
std::string | m_name
| the cluster name More...
int | m_dataId
| the actual zone id More...
Link | m_link
| the actual link More...

## Detailed Description

low level: parser of main spreadsheet cluster

## Constructor & Destructor Documentation

## ◆ SpreadsheetCParser() [1/2]

RagTime5SpreadsheetInternal::SpreadsheetCParser::SpreadsheetCParser | ( | RagTime5ClusterManager & | parser,
|  | int | type
| ) |  |
| inline

constructor

## ◆ ~SpreadsheetCParser()

RagTime5SpreadsheetInternal::SpreadsheetCParser::~SpreadsheetCParser | ( |  | ) |
| virtual

destructor

## ◆ SpreadsheetCParser() [2/2]

RagTime5SpreadsheetInternal::SpreadsheetCParser::SpreadsheetCParser | ( | SpreadsheetCParser const & | orig | ) |
| private

copy constructor (not implemented)

## Member Function Documentation

## ◆ endZone()

void RagTime5SpreadsheetInternal::SpreadsheetCParser::endZone | ( |  | ) |
| inline virtual

end of a start zone call

Reimplemented from RagTime5ClusterManager::ClusterParser.

## ◆ getCluster()

shared_ptr<RagTime5ClusterManager::Cluster> RagTime5SpreadsheetInternal::SpreadsheetCParser::getCluster | ( |  | ) |
| inline virtual

return the current cluster

Implements RagTime5ClusterManager::ClusterParser.

## ◆ getSpreadsheet()

shared_ptr<Sheet> RagTime5SpreadsheetInternal::SpreadsheetCParser::getSpreadsheet | ( |  | ) |
| inline

return the spreadsheet

## ◆ getSpreadsheetCluster()

shared_ptr<ClusterSpreadsheet> RagTime5SpreadsheetInternal::SpreadsheetCParser::getSpreadsheetCluster | ( |  | ) |
| inline

return the spreadsheet cluster

## ◆ operator=()

SpreadsheetCParser& RagTime5SpreadsheetInternal::SpreadsheetCParser::operator= | ( | SpreadsheetCParser const & | orig | ) |
| private

copy operator (not implemented)

## ◆ parseDataZone()

bool RagTime5SpreadsheetInternal::SpreadsheetCParser::parseDataZone | ( | MWAWInputStreamPtr & | input,
|  | long | fSz,
|  | int | N,
|  | int | flag,
|  | libmwaw::DebugStream & | f
| ) |  |
| inline protected

parse a data block

## ◆ parseField()

bool RagTime5SpreadsheetInternal::SpreadsheetCParser::parseField | ( | RagTime5StructManager::Field const & | field,
|  | int | ,
|  | libmwaw::DebugStream & | f
| ) |  |
| inline virtual

parse a field

Reimplemented from RagTime5ClusterManager::ClusterParser.

## ◆ parseHeaderZone()

bool RagTime5SpreadsheetInternal::SpreadsheetCParser::parseHeaderZone | ( | MWAWInputStreamPtr & | input,
|  | long | fSz,
|  | int | N,
|  | int | flag,
|  | libmwaw::DebugStream & | f
| ) |  |
| inline protected

parse the header zone

## ◆ parseZone()

bool RagTime5SpreadsheetInternal::SpreadsheetCParser::parseZone | ( | MWAWInputStreamPtr & | input,
|  | long | fSz,
|  | int | N,
|  | int | flag,
|  | libmwaw::DebugStream & | f
| ) |  |
| inline virtual

parse a zone

Reimplemented from RagTime5ClusterManager::ClusterParser.

## Member Data Documentation

## ◆ m_blockType

int RagTime5SpreadsheetInternal::SpreadsheetCParser::m_blockType
| protected

the actual block id: 1: referenced block, 2: union cell

## ◆ m_borderType

int RagTime5SpreadsheetInternal::SpreadsheetCParser::m_borderType
| protected

the actual border type id: 1: vertical border, 2: horizontal border

## ◆ m_cluster

shared_ptr<ClusterSpreadsheet> RagTime5SpreadsheetInternal::SpreadsheetCParser::m_cluster
| protected

the current cluster

## ◆ m_defaultPLCValues

std::vector<int> RagTime5SpreadsheetInternal::SpreadsheetCParser::m_defaultPLCValues
| protected

the default plc values

## ◆ m_fieldName

std::string RagTime5SpreadsheetInternal::SpreadsheetCParser::m_fieldName
| protected

the actual field name

## ◆ m_linkId

int RagTime5SpreadsheetInternal::SpreadsheetCParser::m_linkId
| protected

the link id: 0: unicode, 1: picture link, 2: cluster link unknown, 3: the dimensions link, 4: the cell block links 5: the cell reference position link 6: the value tree link 7: not used 8: the plc link 9: the list of values

## ◆ m_PLCNumRowByPlanesMap

std::map<MWAWVec2i,int> RagTime5SpreadsheetInternal::SpreadsheetCParser::m_PLCNumRowByPlanesMap
| protected

the list of row plc by planes

## ◆ m_sheet

shared_ptr<Sheet> RagTime5SpreadsheetInternal::SpreadsheetCParser::m_sheet
| protected

the sheet

## ◆ m_what

int RagTime5SpreadsheetInternal::SpreadsheetCParser::m_what
| protected

a index to know which field is parsed : 0: main, 1: list, 2: fSz69...

The documentation for this struct was generated from the following file:

- RagTime5Spreadsheet.cxx